/*
 * @Author: WuXiangNan
 * @Date: 2021-05-27 10:51:02
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-06-02 15:21:00
 * @Description: 智能设备数据
 */

class DoorControl {
  int? doorAccessCount;
  int? doorAccessVisitorCount;
  int? onlineDoorDeviceCount;
  int? offlineDoorDeviceCount;

  DoorControl(
      {this.doorAccessCount,
      this.doorAccessVisitorCount,
      this.offlineDoorDeviceCount,
      this.onlineDoorDeviceCount});

  DoorControl.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});
    doorAccessCount = map['doorAccessCount'];
    doorAccessVisitorCount = map['doorAccessVisitorCount'];
    offlineDoorDeviceCount = map['offlineDoorDeviceCount'];
    onlineDoorDeviceCount = map['onlineDoorDeviceCount'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();
    json['doorAccessCount'] = this.doorAccessCount;
    json['doorAccessVisitorCount'] = this.doorAccessVisitorCount;
    json['offlineDoorDeviceCount'] = this.offlineDoorDeviceCount;
    json['onlineDoorDeviceCount'] = this.onlineDoorDeviceCount;

    return json;
  }
}
